Redmine - Defect #17350

awesome_hnested_set
2014-06-30 23:06 - Roy Keyes

Status: Closed Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: Core Plugins Estimated time: 0.00 hour

Target version:

Resolution: Invalid Affected version: 2.5.1

Description

We upgraded from 2.2.4 to 2.5-stable and | can't run rake until | go into the /lib/plugins/ directory and create a symlink to
/lib/plugins/awesome_nested_set/ from an older build. In my case, | used 2.4-stable and now everything works.

History

#1 - 2014-06-30 23:07 - Roy Keyes

| also had to add the line in config/application.rb to set i18n locales to false, or else it won't run with old 0.6.1 versions of i18n

#2 - 2014-07-01 05:53 - Toshi MARUYAMA
- Status changed from New to Closed

- Resolution set to Invalid

Roy Keyes wrote:

We upgraded from 2.2.4 to 2.5-stable and | can't run rake until | go into the /lib/plugins/ directory and create a symlink to
/lib/plugins/awesome_nested_set/ from an older build. In my case, | used 2.4-stable and now everything works.

Because you did not run "bundle update".

#3 - 2014-07-01 15:31 - Roy Keyes

- Status changed from Closed to Reopened

Actually, | did run bundle update. | still get the following error....

rake aborted!

LoadError: cannot load such file -- awesome_nested_set/version
/var/lib/gems/1.9.1/gems/activesupport-3.2.13/lib/active_support/dependencies.rb:251:in “require’
/var/lib/gems/1.9.1/gems/activesupport-3.2.13/lib/active_support/dependencies.rb:251:in “block in require’
/var/lib/gems/1.9.1/gems/activesupport-3.2.13/lib/active_support/dependencies.rb:236:in “load_dependency'
/var/lib/gems/1.9.1/gems/activesupport-3.2.13/lib/active_support/dependencies.rb:251:in “require’
/vagrant/redmine_sources/redmine-2.5-stable/config/initializers/10-patches.rb:206:in “<top (required)>'
/var/lib/gems/1.9.1/gems/activesupport-3.2.13/lib/active_support/dependencies.rb:245:in “load'
/var/lib/gems/1.9.1/gems/activesupport-3.2.13/lib/active_support/dependencies.rb:245:in “block in load'
/var/lib/gems/1.9.1/gems/activesupport-3.2.13/lib/active_support/dependencies.rb:236:in “load_dependency'
/var/lib/gems/1.9.1/gems/activesupport-3.2.13/lib/active_support/dependencies.rb:245:in “load'
/var/lib/gems/1.9.1/gems/railties-3.2.13/lib/rails/engine.rb:588:in “block (2 levels) in <class:Engine>'
/var/lib/gems/1.9.1/gems/railties-3.2.13/lib/rails/engine.rb:587:in “each'
/var/lib/gems/1.9.1/gems/railties-3.2.13/lib/rails/engine.rb:587:in “block in <class:Engine>'
/var/lib/gems/1.9.1/gems/railties-3.2.13/lib/rails/initializable.rb:30:in “instance_exec'
/var/lib/gems/1.9.1/gems/railties-3.2.13/lib/rails/initializable.rb:30:in “run'
/var/lib/gems/1.9.1/gems/railties-3.2.13/lib/rails/initializable.rb:55:in “block in run_initializers'
/var/lib/gems/1.9.1/gems/railties-3.2.13/lib/rails/initializable.rb:54:in “each’
/var/lib/gems/1.9.1/gems/railties-3.2.13/lib/rails/initializable.rb:54:in “run_initializers'
/var/lib/gems/1.9.1/gems/railties-3.2.13/lib/rails/application.rb:136:in “initialize!"
/var/lib/gems/1.9.1/gems/railties-3.2.13/lib/rails/railtie/configurable.rb:30:in “method_missing'
/vagrant/redmine_sources/redmine-2.5-stable/config/environment.rb:14:in “<top (required)>'
/var/lib/gems/1.9.1/gems/activesupport-3.2.13/lib/active_support/dependencies.rb:251:in “require’
/var/lib/gems/1.9.1/gems/activesupport-3.2.13/lib/active_support/dependencies.rb:251:in “block in require’
/var/lib/gems/1.9.1/gems/activesupport-3.2.13/lib/active_support/dependencies.rb:236:in ‘load_dependency'
/var/lib/gems/1.9.1/gems/activesupport-3.2.13/lib/active_support/dependencies.rb:251:in “require’
/var/lib/gems/1.9.1/gems/railties-3.2.13/lib/rails/application.rb:103:in “require_environment!'
/var/lib/gems/1.9.1/gems/railties-3.2.13/lib/rails/application.rb:297:in “block (2 levels) in initialize_tasks'
Tasks: TOP => db:migrate => environment
(See full trace by running task with --trace)

#4 - 2014-07-01 15:49 - Toshi MARUYAMA

- Status changed from Reopened to Closed

Roy Keyes wrote:
/var/lib/gems/1.9.1/gems/activesupport-3.2.13/lib/active_support/dependencies.rb:251:in “require’

Your installation is broken.

2.5.1 uses Rails 3.2.17.
source:tags/2.5.1/Gemfile#L3

#5 - 2014-07-01 16:09 - Roy Keyes

Ok, thanks. We are building on a vagrant install and after a pull of the 2.5 branch, | was copying an old Gemfile over (forgot to comment that line out).
The original version we installed back at 2.0 had postgresql settings that came with it by default and we had modified the Gemfile.

In any case, looks like it all works now.

Thanks for your help.
https://www.redmine.org/versions/82
https://www.redmine.org/projects/redmine/repository/svn/entry/tags/2.5.1/Gemfile#L3
http://www.tcpdf.org

